## python-xapp 2.4.2

=== meson_options.txt ===
option('python_target', type: 'string', value: 'python3', description: 'Python installation to target')

## python-xapp 1.0.1

=== debian/changelog ===
python-xapp (1.0.1-1) sid; urgency=medium

  * Initial Debian upload
  * Upstream branch
  * Add a watch file
  * Add a not-installed file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Aug 2017 18:21:18 +0200

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-psutil,
 python3-all,
 python3-psutil,
Standards-Version: 4.0.1
Homepage: https://github.com/linuxmint/python-xapp/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/python-xapp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/python-xapp.git

Package: python-xapp
Architecture: all
Depends: python-psutil, ${misc:Depends}, ${python:Depends}
Description: Python 2 XApp library
 This package contains the Python 2 version of the library.

Package: python3-xapp
Architecture: all
Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-xapp-$1.tar.gz%" \
 https://github.com/linuxmint/python-xapp/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-xapp 1.2.0

=== debian/changelog ===
python-xapp (1.2.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Nov 2018 08:28:16 -0800

python-xapp (1.2.0-2) unstable; urgency=medium

  * New revision
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:37 +0200

python-xapp (1.2.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Set new ml as Copyright holder
  * Bump debhelper build-dep and compat to 11.
  * Bump Standards-Version to 4.1.3.
  * New upstream release (1.2.0).
  * Bump Standards-Version to 4.1.4.
  * Bump group breaks (1.2)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:24 +0200

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-psutil,
 python3-all,
 python3-psutil,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxmint/python-xapp/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/python-xapp.git

Package: python-xapp
Architecture: all
Depends: python-psutil, ${misc:Depends}, ${python:Depends}
Description: Python 2 XApp library
 This package contains the Python 2 version of the library.

Package: python3-xapp
Architecture: all
Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.
Breaks: cinnamon-screensaver (<< 3.8)

## python-xapp 1.4.0

=== debian/changelog ===
python-xapp (1.4.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Mar 2019 13:19:42 -0700

python-xapp (1.4.0) tessa; urgency=medium

  * 1.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 15:28:33 +0000

python-xapp (1.2.0) tara; urgency=medium

  [ Björn Esser ]
  * Properly bump version in setup.py (#5)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Apr 2018 15:40:51 +0100

python-xapp (1.0.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * OS: Turn pkexec support into an opt-in and don't set DISPLAY/XAUTHORITY

  [ Sam Burgos ]
  * added mate-polkit agent support

  [ Michael Webster ]
  * run_with_admin_privs: use pkexec as a last ditch chance, rather (#3)

  [ David Mohammed ]
  * support policykit processname under ubuntu 17.04 (#4)

  [ Clement Lefebvre ]
  * OS: Add is_guest_session() and is_live_session()

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jun 2017 15:43:22 +0100

python-xapp (1.0.0) sonya; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 20 Apr 2017 15:16:04 +0200

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python3-all
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: python-xapp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-psutil
Description: Python 2 XApp library
 This package contains the Python 2 version of the library.

Package: python3-xapp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-psutil
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.

## python-xapp 1.6.0

=== debian/changelog ===
python-xapp (1.6.0-1) unstable; urgency=medium

  * New upstream release (1.6.0).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:54 -0300

python-xapp (1.2.0-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Accept NMU changes (Closes: 935477)
  * Release to unstable

  [ Sandro Tosi ]
  * Drop Python 2 support

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Aug 2019 12:25:42 -0300

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3-all,
 python3-psutil,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxmint/python-xapp/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/python-xapp.git

Package: python3-xapp
Architecture: all
Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.
Breaks: cinnamon-screensaver (<< 3.8)

## python-xapp 1.8.1

=== debian/changelog ===
python-xapp (1.8.1) tricia; urgency=medium

  [ Stephen Collins ]
  * icon chooser widget: fix kwargs to support current features correctly

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 15:43:24 +0000

python-xapp (1.8.0) tricia; urgency=medium

  [ Stephen Collins ]
  * Expose new features in the XAppIconChooserDialog to the settings widget (#10)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Nov 2019 11:19:42 +0100

python-xapp (1.6.0) tessa; urgency=medium

  * Add GSettingsWidgets and SettingsWidgets (#7)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 May 2019 16:00:54 +0100

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python3-all
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: python-xapp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-psutil
Description: Python 2 XApp library
 This package contains the Python 2 version of the library.

Package: python3-xapp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-psutil
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.

## python-xapp 2.0.1

=== debian/changelog ===
python-xapp (2.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 11:04:12 +0900

python-xapp (2.0.1-1) experimental; urgency=medium

  * New upstream version 2.0.1

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:42:12 +0900

python-xapp (1.8.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:45:52 +0900

python-xapp (1.8.1-1) experimental; urgency=medium

  * New upstream version 1.8.1
  * Add myself to uploaders

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 15:59:58 +0900

## python-xapp 2.0.2

=== debian/changelog ===
python-xapp (2.0.2-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 14 Jan 2021 11:08:07 -0500

python-xapp (2.0.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:38:00 +0900

python-xapp (2.0.2-1) experimental; urgency=medium

  * New upstream version 2.0.2

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:44:30 +0900

=== debian/control ===
Source: python-xapp
Section: python
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3-all,
 python3-psutil,
 python3-setuptools,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxmint/python-xapp/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/python-xapp.git

Package: python3-xapp
Architecture: all
Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
Description: Python 3 XApp library
 This package contains the Python 3 version of the library.
Breaks: cinnamon-screensaver (<< 3.8)

## python-xapp 2.2.1

=== debian/changelog ===
python-xapp (2.2.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:04 +0900

python-xapp (2.2.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 2.2.1
  * Use debhelper-compat and dump to dh-compat 13

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:23:27 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-xapp
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-psutil,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-xapp-$1.tar.gz%" \
 https://github.com/linuxmint/python3-xapp/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-xapp 2.2.2

=== debian/changelog ===
python-xapp (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
  * Simplify d/watch
  * d/gbp.conf: specify debian-branch
  * d/copyright: update and add missed Upstream-Contact field
  * Specify that rules don't require root
  * Bumped Standards-Version to 4.6.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 15 Jun 2022 09:25:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  python3-all,
  python3-psutil,
  python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/python-xapp/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
 Vcs-Git: https://salsa.debian.org/cinnamon-team/python-xapp.git

## python-xapp 2.4.0

=== debian/changelog ===
python-xapp (2.4.0-1) unstable; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 2.4.0
  * dh rules: use meson

  [ Fabio Fantoni ]
  * d/control:
    - remove python3-setuptools and add meson from build-deps
    - add Joshua Peisach to Uploaders

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 15 Nov 2022 20:52:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ meson (>= 0.47.0),
  python3-all,
  python3-psutil,
- python3-setuptools,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/python-xapp/

=== debian/watch ===
version=4
https://github.com/linuxmint/python3-xapp/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## python-xapp 2.4.1

=== debian/changelog ===
python-xapp (2.4.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Fabio Fantoni ]
  * New upstream version 2.4.1
  * Switch to dh-sequence-python3
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 23 Jun 2023 16:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
  Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- meson (>= 0.47.0),
+ dh-sequence-python3,
+ meson,
  python3-all,
  python3-psutil,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/python-xapp/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
@@ -25,4 +25,3 @@
 Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
 Description: Python 3 XApp library
  This package contains the Python 3 version of the library.
-Breaks: cinnamon-screensaver (<< 3.8)

## python-xapp 2.4.2

=== debian/changelog ===
python-xapp (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 09 Jun 2024 15:36:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  meson,
  python3-all,
  python3-psutil,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/linuxmint/python-xapp/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp

## python-xapp 3.0.2

=== debian/changelog ===
python-xapp (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Update standards version to 4.7.3, no changes needed
  * d/control:
    - Remove Rules-Requires-Root, no longer necessary since trixie
    - Add gir1.2-glib-2.0, gir1.2-gtk-3.0, gir1.2-xapp-1.0, python3-gi
      and gir1.2-pango-1.0 to deps
    - Add gettext to build-deps
  * d/salsa-ci: improve include of default config
  * Improve d/gbp.conf and convert to DEP-14
  * Add d/README.source with a wiki link with details about packaging
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 01 Mar 2026 17:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,25 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ gettext,
  meson,
  python3-all,
  python3-psutil,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/linuxmint/python-xapp/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/python-xapp
 Vcs-Git: https://salsa.debian.org/cinnamon-team/python-xapp.git
 
 Package: python3-xapp
 Architecture: all
-Depends: python3-psutil, ${misc:Depends}, ${python3:Depends}
+Depends:
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-pango-1.0,
+ gir1.2-xapp-1.0,
+ python3-gi,
+ python3-psutil,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python 3 XApp library
  This package contains the Python 3 version of the library.
